Bug 207927 - Review Request: supertuxkart - Kids 3D go-kart racing game featuring Tux
Review Request: supertuxkart - Kids 3D go-kart racing game featuring Tux
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-25 09:30 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-06 10:42:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-09-25 09:30:54 EDT
Spec URL: http://people.atrpms.net/~hdegoede/supertuxkart.spec
SRPM URL: http://people.atrpms.net/~hdegoede/supertuxkart-0.2-1.src.rpm
Description:
3D go-kart racing game for kids with several famous OpenSource mascots
participating. Race as Tux against 3 computer players in many different fun
race courses (Standard race track, Dessert, Mathclass, etc). Full information
on how to add your own race courses is included. During the race you can pick
up powerups such as: (homing) missiles, magnets and portable zippers.

---

Notice that this really is nothing more then a new version of tuxkart, but since tuxkart upstream is sorta dead, a group of developers has brought out their new version under a new name called supertuxkart. After some discussion on f-e-l it was decided that it was best to create a new CVS branch for this new named version and thus a (Re-)Review

Since this thus essentially is not a new package (mearly a rename) I would like to request a "quick" review whatever that may mean :)
Comment 1 Kevin Fenzi 2006-09-25 20:23:23 EDT
ok. I would be happy to (re)review this. 

Look for a full review in a bit here... 
Comment 2 Kevin Fenzi 2006-09-25 20:39:36 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
No, but ok - Sources match upstream md5sum:
(images removed)
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.

SHOULD Items:

OK - Should include License or ask upstream to include it. 
OK - Should build in mock.

Issues:

1. Perhaps 'images-leagal.txt' could be renamed 'supertuxkart-images-legal.txt'
just to make it easier to find if you unpack the src.rpm? (just a minor nit).
Has any move been made to get upstream to change images to make it more
distributable moving forward?

2. Your provides and obsoletes don't look quite right to me.
Perhaps that should be:

Provides: tuxkart = %{version}-%{release}
Obsoletes: tuxkart <= 0.4.0-6

I'm looking at:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-
581c3fb3ff1c6ef7404e8b288b59cd5280d75ad6

3. rpmlint says:
supertuxkart incoherent-version-in-changelog 0.4.0-5 0.2-1.fc6
(the .fc6 doesn't need to be there, just the version... )
Comment 3 Hans de Goede 2006-09-26 06:29:31 EDT
(In reply to comment #2)
> OK - Spec is legible.
> No, but ok

Erm, how is it not legible? Any comments / suggestions to improve its
legibleness are very much welcome.


> Issues:
> 
> 1. Perhaps 'images-leagal.txt' could be renamed 'supertuxkart-images-legal.txt'
> just to make it easier to find if you unpack the src.rpm? (just a minor nit).
Done

> Has any move been made to get upstream to change images to make it more
> distributable moving forward?
> 
Yes now that there is an upstream once more I've contacted them about this and
they are looking into this.

> 2. Your provides and obsoletes don't look quite right to me.
> Perhaps that should be:
> 
> Provides: tuxkart = %{version}-%{release}
> Obsoletes: tuxkart <= 0.4.0-6
> 

That won't work because then the Provides would be older then the Obsoletes
making the package self obsoleting

> 3. rpmlint says:
> supertuxkart incoherent-version-in-changelog 0.4.0-5 0.2-1.fc6
> (the .fc6 doesn't need to be there, just the version... )
> 

AH my bad, I didn't update the changelog, fixed.

Here is a new version with all this fixed:
Spec URL: http://people.atrpms.net/~hdegoede/supertuxkart.spec
SRPM URL: http://people.atrpms.net/~hdegoede/supertuxkart-0.2-2.src.rpm
Comment 4 Kevin Fenzi 2006-09-26 13:23:04 EDT
>Erm, how is it not legible? Any comments / suggestions to improve its
>legibleness are very much welcome.

Sorry, that was refering to the Source files matching upstream. 
They don't, but thats due to removing those images, so it's ok. :) 

>Yes now that there is an upstream once more I've contacted them about this and
>they are looking into this.

Cool. 

>That won't work because then the Provides would be older then the Obsoletes
>making the package self obsoleting

Ah, I see. Pity upstream didn't start versioning at a higher N-V-R. ;( 

ok, all the issues I see are fixed in this new release, so this package is 
APPROVED. 
Don't forget to close this bug NEXTRELEASE once it's been imported and built. 
Also, don't forget to close out the old package with a dead.package file and so 
forth... 
Comment 5 Hans de Goede 2006-09-30 15:53:17 EDT
I haven't imported this yet because more copyright images have been found by
others on the supertuxkart-devel mailing list, most of these have been fixed in
svn now.

Also its unplayable on one of my machines because keypresses get lost.

Once both issues are revolved I'll create a new srpm, is it ok to import that
one or do you want to take a (quick) look at it first?
Comment 6 Kevin Fenzi 2006-09-30 18:24:34 EDT
ok. I would be happy to take a quick look at an updated package, or if you 
prefer you can just check it in. Whichever you prefer. 
Comment 7 Hans de Goede 2006-10-06 10:42:11 EDT
I've just imported ands build supertuxkart-0.2-3 which:
-fixes the bugs which it was showing on my machine
-replaces the additional copyrighted images and sound upstream has found.


Note You need to log in before you can comment on or make changes to this bug.